function [cl cl_ratio pred1 pred0] = predict(model,x)
q = model.q;
pz = model.pz;
[px_z rule] = match(x);
N = size(x,1);
rq = repmat(q,N,1);
rpz = repmat(pz,N,1);
support_cl1 = sum(rq.*px_z.*rpz,2);
support_cl0 = sum((1-rq).*px_z.*rpz,2);

cl = (support_cl1 > support_cl0);
cl_ratio = min(support_cl1,support_cl0)./max(support_cl1,support_cl0);
ind = intersect(find(support_cl1 == 0), find(support_cl0 == 0));

support_cl1(ind) = 0.5; support_cl0(ind) = 0.5;

pred1 = support_cl1./(support_cl1 + support_cl0);
pred0 = support_cl0./(support_cl1 + support_cl0);
